#property copyright "Copyright 2016, Brian Lillard"
#property link      "http://5026.net78.net/"
#property version   "1.00"
#property strict
#property indicator_separate_window
#property indicator_buffers 6
#property indicator_maximum 100
#property indicator_minimum 0

string Timeframes = "43200,10080,1440,240,60,30,15,5,1";
int Timeframe = 0;
extern int Method = 1;
extern int Price = 1;

//https://docs.mql4.com/constants/objectconstants/wingdings
extern int ArrowCode = 110;
extern int ArrowStyle = 0;
extern int ArrowWidth = 0;

extern int MA6_12_Level=20;
extern int MA30_60_Level=50;
extern int MA90_120_Level=80;

extern color Up_6_12_Color = Gold;
extern color Dn_6_12_Color = Aqua;
extern color Up_30_60_Color = Gold;
extern color Dn_30_60_Color = Aqua;
extern color Up_90_120_Color = Gold;
extern color Dn_90_120_Color = Aqua;

double d90_120[],u90_120[],d30_60[],u30_60[],d6_12[],u6_12[];

int init()
 {
 SetIndexBuffer(0,d90_120); 
 SetIndexStyle(0,DRAW_ARROW,ArrowStyle,ArrowWidth,Dn_90_120_Color); 
 SetIndexArrow(0,ArrowCode);
 SetIndexBuffer(1,u90_120); 
 SetIndexStyle(1,DRAW_ARROW,ArrowStyle,ArrowWidth,Up_90_120_Color); 
 SetIndexArrow(1,ArrowCode);
 SetIndexBuffer(2,d30_60); 
 SetIndexStyle(2,DRAW_ARROW,ArrowStyle,ArrowWidth,Dn_30_60_Color); 
 SetIndexArrow(2,ArrowCode);
 SetIndexBuffer(3,u30_60); 
 SetIndexStyle(3,DRAW_ARROW,ArrowStyle,ArrowWidth,Up_30_60_Color); 
 SetIndexArrow(3,ArrowCode);
 SetIndexBuffer(4,d6_12); 
 SetIndexStyle(4,DRAW_ARROW,ArrowStyle,ArrowWidth,Dn_6_12_Color); 
 SetIndexArrow(4,ArrowCode);
 SetIndexBuffer(5,u6_12); 
 SetIndexStyle(5,DRAW_ARROW,ArrowStyle,ArrowWidth,Up_6_12_Color);
 SetIndexArrow(5,ArrowCode);
 return(0);
 }

int deinit()
 {
 //--
 return(0);
 }

int start()
 {
 int i,shift;
 i=(Bars-1)-IndicatorCounted();
 for(shift=i; shift>=0; shift--)
  {
  double ma120=iMA(NULL,Timeframe,120,0,Method,Price,shift);
  double ma90=iMA(NULL,Timeframe,90,0,Method,Price,shift);
  double ma60=iMA(NULL,Timeframe,60,0,Method,Price,shift);
  double ma30=iMA(NULL,Timeframe,30,0,Method,Price,shift);
  double ma12=iMA(NULL,Timeframe,12,0,Method,Price,shift);
  double ma6=iMA(NULL,Timeframe,6,0,Method,Price,shift);

  //90 & 120  
  if(ma90>ma120)
   {
   u90_120[shift] = MA90_120_Level;
   d90_120[shift] = EMPTY_VALUE;
   }
  else if(ma90<ma120)
   {
   u90_120[shift] = EMPTY_VALUE;
   d90_120[shift] = MA90_120_Level;
   }
  else if(ma90==ma120)
   {
   u90_120[shift] = EMPTY_VALUE;
   d90_120[shift] = EMPTY_VALUE;
   }
  
  //30 & 60
  if(ma30>ma60)
   {
   u30_60[shift] = MA30_60_Level;
   d30_60[shift] = EMPTY_VALUE;
   }
  else if(ma30<ma60)
   {
   u30_60[shift] = EMPTY_VALUE;
   d30_60[shift] = MA30_60_Level;
   }
  else if(ma30==ma60)
   {   
   u30_60[shift] = EMPTY_VALUE;
   d30_60[shift] = EMPTY_VALUE;
   }
  
  //6 & 12
  if(ma6>ma12)
   {
   u6_12[shift] = MA6_12_Level;
   d6_12[shift] = EMPTY_VALUE;
   }
  else if(ma6<ma12)
   {
   u6_12[shift] = EMPTY_VALUE;
   d6_12[shift] = MA6_12_Level;
   }
  else if(ma6==ma12)
   {   
   u6_12[shift] = EMPTY_VALUE;
   d6_12[shift] = EMPTY_VALUE;
   }

  }
 return(0);
 }


















